/// <reference path="../Perk.ts" />
/// <reference path="../../Elements/Classes/Say.ts" />
module CharacterCreation {
    export let HornyVirgin = new Perk("Horny Virgin");
    HornyVirgin.description = new Say("Whichever life you led up to this point never allowed you to explore your sexuality. As a result, you're both virgin AND extremely horny. This perk makes it so that the World Depravity around the Tower is initially higher and rises faster, however you are not as affected by this rising Depravity around you.",
        Say.PARAGRAPH_BREAK, "This perk is mandatory for Champions and is not compatible with most sex-related perks.");

    HornyVirgin.forcedStatus = (hornyVirgin : Perk) => {
        if (CharacterCreation.getOrigin() == CharacterCreation.ChampionOrigin) {
            return true;
        } else if (Slut.isEnabled(true)) {
            return false;
        }
    };



    export let Slut = new Perk("Unredeemable Slut");
    Slut.description = new Say("Simply put: you really like sex. Your Depravity starts off higher and rises even faster, also affecting World Depravity. However, you level up sex-related Skills faster.",
        Say.PARAGRAPH_BREAK, "This perk is not compatible with ", HornyVirgin.name, ".");
    Slut.forcedStatus = () => {
        if (HornyVirgin.isEnabled(true)) {
            return false;
        }
    };



    export let SensitiveHoles = new Perk("Sensitive Holes");
    SensitiveHoles.description = "You are very sensitive to any kind of receptive penetration. You have a harder time escaping grapples while being penetrated and an easier time orgasming from it, but getting aroused faster also means you take less damage from it.";



}